{
  "name": "Vmarker REV2",
  "productId": "2572",
  "vendorId": "FFF0",
  "interface": "0000",


  "parameters_easy_man": [ "50", "75", "100", "125","150","175","200"],
  "setting_easy_sensor_man": "thr",

  "parameters_easy_auto": [ "50", "75", "100", "125","150","175","200"],
  "setting_easy_sensor_auto": "yld",


  "parameters_simple": [
    {
      "name": "Default HW2",
      "info": "Use these default setting for Sensor HW version 2",
      "parameters": [
        { "module": "sens" , "regname": "gain1"      , "value": "11"  },
        { "module": "sens" , "regname": "gain2"      , "value": "11"  },
        { "module": "sens" , "regname": "thr"        , "value": "100" },
        { "module": "sens" , "regname": "ny"         , "value": "20"   },
        { "module": "sens" , "regname": "oalb"       , "value": "5"  },
        { "module": "mouse", "regname": "maxsize"    , "value": "100" },
        { "module": "mouse", "regname": "filter_spd" , "value": "300" },
        { "module": "mouse", "regname": "filter_smth", "value": "60"  },
        { "module": "mouse", "regname": "enabled"    , "value": "1"  },
        { "module": "cal"  , "regname": "mac"        , "value": "0"  },
        { "module": "app"  , "regname": "multitouch" , "value": "0"  },
        { "module": "mouse", "regname": "vmarkermode", "value": "0"  }
      ]
    },
    {
      "name": "Default HW1",
      "info": "Use these default setting for Sensor HW version 1",
      "parameters": [
        { "module": "sens" , "regname": "gain1"      , "value": "15"  },
        { "module": "sens" , "regname": "gain2"      , "value": "31"  },
    	{ "module": "sens" , "regname": "thr"        , "value": "100" },
        { "module": "sens" , "regname": "ny"         , "value": "1"   },
        { "module": "sens" , "regname": "oalb"       , "value": "5"  },
        { "module": "mouse", "regname": "maxsize"    , "value": "100" },
        { "module": "mouse", "regname": "filter_spd" , "value": "300" },
        { "module": "mouse", "regname": "filter_smth", "value": "60"  },
        { "module": "mouse", "regname": "enabled"    , "value": "1"  },
        { "module": "cal"  , "regname": "mac"        , "value": "0"  },
        { "module": "app"  , "regname": "multitouch" , "value": "0"  },
        { "module": "mouse", "regname": "vmarkermode", "value": "0"  }
      ]
    },
    {
      "name": "Mac",
      "info": "Enables mac-mode, other settings will not be changed.",
      "parameters": [
        { "module": "mouse", "regname": "enabled", "value": "1" },
        { "module": "cal",   "regname": "mac",     "value": "1" },
        { "module": "app"  , "regname": "multitouch" , "value": "0"  }
      ]
    }
  ],
  "parameters_advanced": [
    {
      "name": "[adv:gain1]",
      "module": "sens",
      "regname": "gain1",
      "type": "int",
      "min": "0",
      "max": "15"
    },
    {
      "name": "[adv:gain2]",
      "module": "sens",
      "regname": "gain2",
      "type": "int",
      "min": "0",
      "max": "31"
    },
    {
      "name": "[adv:yld]",
      "module": "sens",
      "regname": "yld",
      "type": "int",
      "min": "0",
      "max": "255"
    },
    {
      "name": "[adv:thr]",
      "module": "sens",
      "regname": "thr",
      "type": "int",
      "min": "0",
      "max": "255"
    },
    {
      "name": "[adv:ny]",
      "module": "sens",
      "regname": "ny",
      "type": "int",
      "min": "0",
      "max": "100"
    },
    {
      "name": "[adv:oalb]",
      "module": "sens",
      "regname": "oalb",
      "type": "int",
      "min": "0",
      "max": "255"
    },
    {
       "name": "[adv:maxsize]",
       "module": "mouse",
       "regname": "maxsize",
       "type": "int",
       "min": "0",
       "max": "1024"
     },
        {
           "name": "[adv:mode]",
           "module": "sens",
           "regname": "conf1thr",
           "type": "enum",
            "values": [
              { "value" :"136", "comment" : "[sens:autothr]"},
              { "value" :"8", "comment" : "[sens:manthr]"}
            ]
        }
  ],

  "parameters_system": [
    {
      "name": "[sys:calibration]",
      "parameters": [
        {
          "name": "[sys:cal:enable]",
          "module": "cal",
          "regname": "enable",
          "type": "bool"
        },
        {
          "name": "[sys:cal:minsize]",
          "module": "cal",
          "regname": "minsize",
          "type": "int",
          "min": "0",
          "max": "1024"
        }
      ]
    },
    {
      "name": "[sys:mouse]",
      "parameters": [
        {
          "name": "[sys:mouse:enabled]",
          "module": "mouse",
          "regname": "enabled",
          "type": "bool"
        },
        {
            "name": "[sys:mouse:macmode]",
            "module": "cal",
            "regname": "mac",
            "type": "bool"
        },
        {
          "name": "[sys:mouse:multitouch]",
          "module": "app",
          "regname": "multitouch",
          "type": "bool"
        },
        {
          "name": "[sys:mouse:vmarkermode]",
          "module": "mouse",
          "regname": "vmarkermode",
          "type": "bool"
        },
        {
          "name": "[sys:mouse:speed]",
          "module": "mouse",
          "regname": "filter_spd",
          "type": "int",
          "min": "0",
          "max": "500"
        },
        {
          "name": "[sys:mouse:smooth]",
          "module": "mouse",
          "regname": "filter_smth",
          "type": "int",
          "min": "0",
          "max": "100"
        }
      ]
    },
    {
      "name": "[sys:gyro]",
      "parameters": [
        {
          "name": "[sys:gyro:enabled]",
          "module": "app",
          "regname": "gyro",
          "type": "bool"
        }
      ]
    },
    {
      "name": "[sys:pen]",
      "parameters": [
        {
          "name": "[sys:pen:version]",
          "module": "pen",
          "regname": "version",
          "type": "enum",
          "values": [
            { "value" :"1", "comment" : "[sys:pen:version:v1]"},
            { "value" :"2", "comment" : "[sys:pen:version:v2]"}
          ]

        }
      ]
    }
  ]
}
